# BACKGROUND
background {
    monitor = 
    path = ~/.wallpapers/castlevania.png
    blur_size = 3
    blur_passes = 2
    noise = 0.06
    contrast = 0.8
    brightness = 0.5
    vibrancy = 0.2
    vibrancy_darkness = 0.2
}

# GENERAL
general {
    no_fade_in = false
    grace = 0
    disable_loading_bar = false
}

# Profie-Photo
image {
    monitor = 
    path = ~/.face
    border_size = 2
    border_color = rgba(248, 248, 242, 0.8)
    size = 200
    rounding = -1
    rotate = 0
    reload_time = -1
    reload_cmd = 
    position = 0, 20
    halign = center
    valign = center
    shadow_passes = 2
    shadow_size = 4
}

# Day-Month-Date
label {
    monitor = 
    text = cmd[update:1000] echo -e "$(date +"%A, %B %d")"
    color = rgba(255, 121, 198, 0.70)
    font_size = 25
    font_family = Droid Sans Font, Font Awesome, Roboto, FreeSans, FreeSerif
    position = 0, 350
    halign = center
    valign = center
}

# Time
label {
    monitor = 
    text = cmd[update:1000] echo "<span>$(date +"%I:%M")</span>"
    color = rgba(139, 233, 253, 0.70)
    font_size = 120
    font_family = Droid Sans Font, Font Awesome, Roboto, FreeSans, FreeSerif
    position = 0, 250
    halign = center
    valign = center
}

# USER
label {
    monitor = 
    text =  Peter Domínguez
    color = rgba(248, 248, 242, 0.80)
    font_size = 20
    font_family = Droid Sans Font, Font Awesome, Roboto, FreeSans, FreeSerif
    position = 0, -130
    halign = center
    valign = center
}

# INPUT FIELD
input-field {
    monitor = 
    size = 300, 60
    outline_thickness = 2
    dots_size = 0.2 # Scale of input-field height, 0.2 - 0.8
    dots_spacing = 0.2 # Scale of dots' absolute size, 0.0 - 1.0
    dots_center = true
    outer_color = rgba(0, 0, 0, 0)
    inner_color = rgba(40, 42, 54, 0.5)
    font_color = rgb(68,71,90)
    check_color = rgba(255, 184, 108, 0.6)
    fail_color = rgba(255, 85, 85, 0.6)
    fade_on_empty = false
    placeholder_text = <span foreground="##F8F8F2">󰌾 <i>Enter Password</i></span>
    fail_text =  <i>Login failed! Attempt(s): <b>$ATTEMPTS</b></i>
    hide_input = false
    position = 0, -210
    halign = center
    valign = center
}

# CURRENT SONG
label {
    monitor = 
    text = cmd[update:1000] echo "$(~/.bin/sh/songdetail.sh)" 
    color = rgba(189, 147, 249, 0.8)
    font_size = 18
    font_family = Droid Sans Font, Font Awesome, Roboto, FreeSans, FreeSerif
    position = 0, 50
    halign = center
    valign = bottom
}
